
Foreman - Bug #1462

Debian repo uses release types (eg. stable) not release names (eg. squeeze)

01/20/2012 12:37 PM - Jedd Rashbrooke

Status: Rejected   

Priority: Normal   

Assignee: Jochen Schalanda   

Category: Packaging   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As per the subject.  Can we please have symlinks from the type to the actual?

That is, I want to specify 'squeeze' in my sources list.

Otherwise there's the problem of one day pulling in the wrong repo when wheezy becomes stable.  I only want to do this when I

knowingly change my sources.list.

History

#1 - 01/20/2012 01:16 PM - Ohad Levy

- Assignee set to Jochen Schalanda

#2 - 01/21/2012 05:04 AM - Jochen Schalanda

- Status changed from New to Rejected

- % Done changed from 0 to 100

We've deliberately chosen the naming scheme for the repository. The "distribution" part (nightly, testing, stable) relates to Foreman rather than the

actual Debian release. Another example for this practice is 10gen's MongoDB repository.

The packages in our repository have been built to work on several different Debian-based Linux distributions, see the first paragraph of 

Debian-Ubuntu installation by packages.

If you encounter a problem with the packages on a specific distribution, please file a bug report so that we can fix it. Also if you're using a distribution

which is not explicitly named on our installation Wiki page, please drop us a note so we can add it to the list. Thanks!

#3 - 01/21/2012 09:32 AM - Jedd Rashbrooke

Okay - thank you for the explanation Jochen.

#4 - 10/15/2018 01:45 PM - Tomer Brisker

- Category changed from 21 to Packaging
http://www.mongodb.org/display/DOCS/Ubuntu+and+Debian+packages
https://projects.theforeman.org/projects/foreman/wiki/Debian-Ubuntu_installation_by_packages
